Package org.jboss.logging.processor.validation

## Interface ValidationMessage

    public interface ValidationMessage

Date: 12.08.2011

Author:
  James R. Perkins

### Nested Class Summary

Nested Classes
`static class` `ValidationMessage.Type` Validation message type enum.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`javax.lang.model.element.AnnotationMirror` `getAnnotationMirror()` The annotation the error occurred on.
`javax.lang.model.element.AnnotationValue` `getAnnotationValue()` The value of the annotation which caused the error.
`javax.lang.model.element.Element` `getElement()` Returns the element that caused the error.
`java.lang.String` `getMessage()` Returns the error message.
`default boolean` `printMessage​(javax.annotation.processing.Messager messager)` Prints the message and returns `true` if the message was an error message.
`ValidationMessage.Type` `type()` The type of the message.

### Method Detail

#### type

    ValidationMessage.Type type()

The type of the message.

Returns:
  the type of the message.

#### getElement

    javax.lang.model.element.Element getElement()

Returns the element that caused the error.

Returns:
  the element that caused the error.

#### getAnnotationMirror

    javax.lang.model.element.AnnotationMirror getAnnotationMirror()

The annotation the error occurred on.

Returns:
  the annotation the error occurred on or `null` if this was not an annotation error

#### getAnnotationValue

    javax.lang.model.element.AnnotationValue getAnnotationValue()

The value of the annotation which caused the error.

Returns:
  the value of the annotation or `null`

#### getMessage

    java.lang.String getMessage()

Returns the error message.

Returns:
  the error message.

#### printMessage

    default boolean printMessage​(javax.annotation.processing.Messager messager)

Prints the message and returns `true` if the message was an error message.

Parameters:
  `messager` - the messager used to print the message
Returns:
  `true` if this was an error message otherwise `false`